---
- name: Clean up
  julien_lecomte.proxmox.role:
    name: "test_role"
    state: "absent"

- name: Clean up
  julien_lecomte.proxmox.role:
    name: "test_role"
    state: "absent"
  register: tests__role_01

- name: Create role
  julien_lecomte.proxmox.role:
    name: "test_role"
    state: "present"
  register: tests__role_02

- name: Create role
  julien_lecomte.proxmox.role:
    name: "test_role"
    state: "present"
  register: tests__role_03

- name: Assert return values
  ansible.builtin.assert:
    that:
      - "tests__role_01 is not changed"
      - "tests__role_01.role.state == 'absent'"
      - "tests__role_02 is changed"
      - "tests__role_02.role.state == 'present'"
      - "tests__role_03 is not changed"

- name: Clean up
  julien_lecomte.proxmox.role:
    name: "test_role"
    state: "absent"
